# Vladan Popovic
##  Senior software and systems engineer
"Bulevar Oslobodjenja" 150/51, 11042 Belgrade, Serbia

Tel   : +381621436099

E-mail: vladanovic@gmail.com
\

## Profile

Skilled software developer and systems engineer experienced in multiple fields
with around 20 years of professional experience. FOSS enthusiast, honorary
member of Macedonia's Free Software NGO and Belgrade's first hackerspace. My
[**Linked-In**](https://www.linkedin.com/in/vladan-popovic-957ab733),
[**GitHub**](https://github.com/vladan>) and [**my selfhosted Gitea
server**](https://gitea.vp.mk/vladan) may provide more info if needed.

### Skills and toolset

Experienced developer designing and automating distributed and monolith systems
on various infrastructures. Keen on refactoring for the greater good. I'm a
long time GNU/Linux user of many flavors (regularly use Arch, CentOS, Fedora,
Debian, Ubuntu, Alpine, etc.). As an IDE I use neovim and Emacs, preferably
Sphinx (rst) and PlantUML for documentation but markdown happens on daily level
as well.

Python is the language and ecosystem I have the most experience with. I've done
a bunch of web apps in Django, Flask, SqlAlchemy, etc., used async network
communication with gevent and asyncio, RPC for some IoT projects, in love with
uWSGI ... and also write small helper / automation scripts in Python (and bash
if really small) almost every day.

Rust is the language I spend most of my free time with, from low-level queues
to frontend web applications in WebAssembly, for which I gladly use Elm ...
Ocaml 5.0 (with Eio) is next in line :) some things from this paragraph can be
found on [**my gitea server**](https://gitea.vp.mk/explore/repos).

I have fair experience with Apache Kafka, RabbitMQ, MQTT, ZMQ for message
distribution and Protobuf, FlatBuffers, Cap'n Proto for packing objects. NoSQL
with Apache CouchDB and fair development experience with PostreSQL.

For virtualization I use KVM / QEMU for personal needs, and I'm pretty fond of
the new microvm approaches such as Firecracker, Cloud Hypervisor et al.
Professionaly I used to manage infrastructure on AWS, Azure, GCP, OpenStack.
Used to love Ansible, but now I'm more of a fan of Fedora CoreOS / Silverblue
(OSTree based distros) for building images and setting up workload
environments.

### Languages

Macedonian is my native language. I speak English and Serbian fluently and have
a fair knowledge of German, with a C2 degree in 2001.


## Work Experience
\

#### [Aiven](https://aiven.io/) (2021-2022) - Site Reliability Engineer
\
SRE in a dynamic multicloud setup consisting of tens of tousands of nodes,
offering managed Postgres, Kafka, Clickhouse, Mysql, Elastic/Opensearch, etc.

#### Sigma Technology (2019-2021) - Senior Engineer
\
Consultant in Ericsson LabOps team in Linköping - Sweden. Worked on automating
the infrastructure procurement for the R&D department in Ericssons own private
cloud management solution running on-site. My responsibilities included
implementing best practices by setting up automations, reviewing most of the
code in Gerrit and maintaining a Jenkins CI/CD pipeline (code-test-deploy
automation).

#### Seavus - Senior Engineer (2018-2019)
\
Responsible for maintaining a big data pipeline for Sunrise, a Swiss Telecom
provider. Based on the Hortonworks appliance (Ambari, Spark, Kafka, HDFS,
Hive) with the code written purely in Scala.

#### TradeCore - Python Lead (2017-2018)
\
Reduced the technical debt by refactoring, planning and discovering bottlenecks
and bad/redundant implementations. Improved the development flow, enforced a
stronger code review practice and python coding standards for the main product
written in Django, which also utilized PostgreSQL, ElasticSearch, Celerry, etc.
Introduced a solid CI/CD infrastructure by automating the Selenium tests and
frontend packaging for ~25 environments, GitLab Review Apps, etc.

#### Itekako - Python Lead (2012-2013, 2014-2017)
\
Designed a scalable cloud solution and built a complete platform for home
security cameras with Python, JSON-RPC with TinyRPC, gevent, Protobuf, FFMpeg,
uWSGI and Live555, hosted on AWS. Reduced a couple of clients’ development and
deployment overhead by dockerizing their complete infrastructures. Created a
machine-generated-content service by implementing a ranking algorithm in
PostgreSQL and optimized critical DB queries.

#### RedHat - Software Engineer - OpenStack (2013-2014)
\
Development and RPM packaging on OpenStack Nova. Tested, debugged and deployed
various OpenStack scenarios and use cases.

#### Asseko - Software Developer (2010-2012)
\
Part of a new team working on a complete rewrite of a legacy proprietary
Banking Software to C# and MSSQL.
